Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network5.96.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
5.96.0.0
Broadcast address
5.103.255.255
First usable
5.96.0.1
Last usable
5.103.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 05600000 · Integer 90177536 to 90701823
Reverse DNS zones
96.5.in-addr.arpa
97.5.in-addr.arpa
98.5.in-addr.arpa
99.5.in-addr.arpa
100.5.in-addr.arpa
101.5.in-addr.arpa
102.5.in-addr.arpa
103.5.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000101.01100000.00000000.000000005.96.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00000101.01100000.00000000.000000005.96.0.0
Broadcast00000101.01100111.11111111.111111115.103.255.255
Split into smaller subnets/23

5.96.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
15.96.0.0/235.96.0.1 to 5.96.1.2545.96.1.255510
25.96.2.0/235.96.2.1 to 5.96.3.2545.96.3.255510
35.96.4.0/235.96.4.1 to 5.96.5.2545.96.5.255510
45.96.6.0/235.96.6.1 to 5.96.7.2545.96.7.255510
55.96.8.0/235.96.8.1 to 5.96.9.2545.96.9.255510
65.96.10.0/235.96.10.1 to 5.96.11.2545.96.11.255510
75.96.12.0/235.96.12.1 to 5.96.13.2545.96.13.255510
85.96.14.0/235.96.14.1 to 5.96.15.2545.96.15.255510
95.96.16.0/235.96.16.1 to 5.96.17.2545.96.17.255510
105.96.18.0/235.96.18.1 to 5.96.19.2545.96.19.255510
115.96.20.0/235.96.20.1 to 5.96.21.2545.96.21.255510
125.96.22.0/235.96.22.1 to 5.96.23.2545.96.23.255510
135.96.24.0/235.96.24.1 to 5.96.25.2545.96.25.255510
145.96.26.0/235.96.26.1 to 5.96.27.2545.96.27.255510
155.96.28.0/235.96.28.1 to 5.96.29.2545.96.29.255510
165.96.30.0/235.96.30.1 to 5.96.31.2545.96.31.255510
175.96.32.0/235.96.32.1 to 5.96.33.2545.96.33.255510
185.96.34.0/235.96.34.1 to 5.96.35.2545.96.35.255510
195.96.36.0/235.96.36.1 to 5.96.37.2545.96.37.255510
205.96.38.0/235.96.38.1 to 5.96.39.2545.96.39.255510
215.96.40.0/235.96.40.1 to 5.96.41.2545.96.41.255510
225.96.42.0/235.96.42.1 to 5.96.43.2545.96.43.255510
235.96.44.0/235.96.44.1 to 5.96.45.2545.96.45.255510
245.96.46.0/235.96.46.1 to 5.96.47.2545.96.47.255510
255.96.48.0/235.96.48.1 to 5.96.49.2545.96.49.255510
265.96.50.0/235.96.50.1 to 5.96.51.2545.96.51.255510
275.96.52.0/235.96.52.1 to 5.96.53.2545.96.53.255510
285.96.54.0/235.96.54.1 to 5.96.55.2545.96.55.255510
295.96.56.0/235.96.56.1 to 5.96.57.2545.96.57.255510
305.96.58.0/235.96.58.1 to 5.96.59.2545.96.59.255510
315.96.60.0/235.96.60.1 to 5.96.61.2545.96.61.255510
325.96.62.0/235.96.62.1 to 5.96.63.2545.96.63.255510
335.96.64.0/235.96.64.1 to 5.96.65.2545.96.65.255510
345.96.66.0/235.96.66.1 to 5.96.67.2545.96.67.255510
355.96.68.0/235.96.68.1 to 5.96.69.2545.96.69.255510
365.96.70.0/235.96.70.1 to 5.96.71.2545.96.71.255510
375.96.72.0/235.96.72.1 to 5.96.73.2545.96.73.255510
385.96.74.0/235.96.74.1 to 5.96.75.2545.96.75.255510
395.96.76.0/235.96.76.1 to 5.96.77.2545.96.77.255510
405.96.78.0/235.96.78.1 to 5.96.79.2545.96.79.255510
415.96.80.0/235.96.80.1 to 5.96.81.2545.96.81.255510
425.96.82.0/235.96.82.1 to 5.96.83.2545.96.83.255510
435.96.84.0/235.96.84.1 to 5.96.85.2545.96.85.255510
445.96.86.0/235.96.86.1 to 5.96.87.2545.96.87.255510
455.96.88.0/235.96.88.1 to 5.96.89.2545.96.89.255510
465.96.90.0/235.96.90.1 to 5.96.91.2545.96.91.255510
475.96.92.0/235.96.92.1 to 5.96.93.2545.96.93.255510
485.96.94.0/235.96.94.1 to 5.96.95.2545.96.95.255510
495.96.96.0/235.96.96.1 to 5.96.97.2545.96.97.255510
505.96.98.0/235.96.98.1 to 5.96.99.2545.96.99.255510
515.96.100.0/235.96.100.1 to 5.96.101.2545.96.101.255510
525.96.102.0/235.96.102.1 to 5.96.103.2545.96.103.255510
535.96.104.0/235.96.104.1 to 5.96.105.2545.96.105.255510
545.96.106.0/235.96.106.1 to 5.96.107.2545.96.107.255510
555.96.108.0/235.96.108.1 to 5.96.109.2545.96.109.255510
565.96.110.0/235.96.110.1 to 5.96.111.2545.96.111.255510
575.96.112.0/235.96.112.1 to 5.96.113.2545.96.113.255510
585.96.114.0/235.96.114.1 to 5.96.115.2545.96.115.255510
595.96.116.0/235.96.116.1 to 5.96.117.2545.96.117.255510
605.96.118.0/235.96.118.1 to 5.96.119.2545.96.119.255510
615.96.120.0/235.96.120.1 to 5.96.121.2545.96.121.255510
625.96.122.0/235.96.122.1 to 5.96.123.2545.96.123.255510
635.96.124.0/235.96.124.1 to 5.96.125.2545.96.125.255510
645.96.126.0/235.96.126.1 to 5.96.127.2545.96.127.255510
655.96.128.0/235.96.128.1 to 5.96.129.2545.96.129.255510
665.96.130.0/235.96.130.1 to 5.96.131.2545.96.131.255510
675.96.132.0/235.96.132.1 to 5.96.133.2545.96.133.255510
685.96.134.0/235.96.134.1 to 5.96.135.2545.96.135.255510
695.96.136.0/235.96.136.1 to 5.96.137.2545.96.137.255510
705.96.138.0/235.96.138.1 to 5.96.139.2545.96.139.255510
715.96.140.0/235.96.140.1 to 5.96.141.2545.96.141.255510
725.96.142.0/235.96.142.1 to 5.96.143.2545.96.143.255510
735.96.144.0/235.96.144.1 to 5.96.145.2545.96.145.255510
745.96.146.0/235.96.146.1 to 5.96.147.2545.96.147.255510
755.96.148.0/235.96.148.1 to 5.96.149.2545.96.149.255510
765.96.150.0/235.96.150.1 to 5.96.151.2545.96.151.255510
775.96.152.0/235.96.152.1 to 5.96.153.2545.96.153.255510
785.96.154.0/235.96.154.1 to 5.96.155.2545.96.155.255510
795.96.156.0/235.96.156.1 to 5.96.157.2545.96.157.255510
805.96.158.0/235.96.158.1 to 5.96.159.2545.96.159.255510
815.96.160.0/235.96.160.1 to 5.96.161.2545.96.161.255510
825.96.162.0/235.96.162.1 to 5.96.163.2545.96.163.255510
835.96.164.0/235.96.164.1 to 5.96.165.2545.96.165.255510
845.96.166.0/235.96.166.1 to 5.96.167.2545.96.167.255510
855.96.168.0/235.96.168.1 to 5.96.169.2545.96.169.255510
865.96.170.0/235.96.170.1 to 5.96.171.2545.96.171.255510
875.96.172.0/235.96.172.1 to 5.96.173.2545.96.173.255510
885.96.174.0/235.96.174.1 to 5.96.175.2545.96.175.255510
895.96.176.0/235.96.176.1 to 5.96.177.2545.96.177.255510
905.96.178.0/235.96.178.1 to 5.96.179.2545.96.179.255510
915.96.180.0/235.96.180.1 to 5.96.181.2545.96.181.255510
925.96.182.0/235.96.182.1 to 5.96.183.2545.96.183.255510
935.96.184.0/235.96.184.1 to 5.96.185.2545.96.185.255510
945.96.186.0/235.96.186.1 to 5.96.187.2545.96.187.255510
955.96.188.0/235.96.188.1 to 5.96.189.2545.96.189.255510
965.96.190.0/235.96.190.1 to 5.96.191.2545.96.191.255510
975.96.192.0/235.96.192.1 to 5.96.193.2545.96.193.255510
985.96.194.0/235.96.194.1 to 5.96.195.2545.96.195.255510
995.96.196.0/235.96.196.1 to 5.96.197.2545.96.197.255510
1005.96.198.0/235.96.198.1 to 5.96.199.2545.96.199.255510
1015.96.200.0/235.96.200.1 to 5.96.201.2545.96.201.255510
1025.96.202.0/235.96.202.1 to 5.96.203.2545.96.203.255510
1035.96.204.0/235.96.204.1 to 5.96.205.2545.96.205.255510
1045.96.206.0/235.96.206.1 to 5.96.207.2545.96.207.255510
1055.96.208.0/235.96.208.1 to 5.96.209.2545.96.209.255510
1065.96.210.0/235.96.210.1 to 5.96.211.2545.96.211.255510
1075.96.212.0/235.96.212.1 to 5.96.213.2545.96.213.255510
1085.96.214.0/235.96.214.1 to 5.96.215.2545.96.215.255510
1095.96.216.0/235.96.216.1 to 5.96.217.2545.96.217.255510
1105.96.218.0/235.96.218.1 to 5.96.219.2545.96.219.255510
1115.96.220.0/235.96.220.1 to 5.96.221.2545.96.221.255510
1125.96.222.0/235.96.222.1 to 5.96.223.2545.96.223.255510
1135.96.224.0/235.96.224.1 to 5.96.225.2545.96.225.255510
1145.96.226.0/235.96.226.1 to 5.96.227.2545.96.227.255510
1155.96.228.0/235.96.228.1 to 5.96.229.2545.96.229.255510
1165.96.230.0/235.96.230.1 to 5.96.231.2545.96.231.255510
1175.96.232.0/235.96.232.1 to 5.96.233.2545.96.233.255510
1185.96.234.0/235.96.234.1 to 5.96.235.2545.96.235.255510
1195.96.236.0/235.96.236.1 to 5.96.237.2545.96.237.255510
1205.96.238.0/235.96.238.1 to 5.96.239.2545.96.239.255510
1215.96.240.0/235.96.240.1 to 5.96.241.2545.96.241.255510
1225.96.242.0/235.96.242.1 to 5.96.243.2545.96.243.255510
1235.96.244.0/235.96.244.1 to 5.96.245.2545.96.245.255510
1245.96.246.0/235.96.246.1 to 5.96.247.2545.96.247.255510
1255.96.248.0/235.96.248.1 to 5.96.249.2545.96.249.255510
1265.96.250.0/235.96.250.1 to 5.96.251.2545.96.251.255510
1275.96.252.0/235.96.252.1 to 5.96.253.2545.96.253.255510
1285.96.254.0/235.96.254.1 to 5.96.255.2545.96.255.255510
1295.97.0.0/235.97.0.1 to 5.97.1.2545.97.1.255510
1305.97.2.0/235.97.2.1 to 5.97.3.2545.97.3.255510
1315.97.4.0/235.97.4.1 to 5.97.5.2545.97.5.255510
1325.97.6.0/235.97.6.1 to 5.97.7.2545.97.7.255510
1335.97.8.0/235.97.8.1 to 5.97.9.2545.97.9.255510
1345.97.10.0/235.97.10.1 to 5.97.11.2545.97.11.255510
1355.97.12.0/235.97.12.1 to 5.97.13.2545.97.13.255510
1365.97.14.0/235.97.14.1 to 5.97.15.2545.97.15.255510
1375.97.16.0/235.97.16.1 to 5.97.17.2545.97.17.255510
1385.97.18.0/235.97.18.1 to 5.97.19.2545.97.19.255510
1395.97.20.0/235.97.20.1 to 5.97.21.2545.97.21.255510
1405.97.22.0/235.97.22.1 to 5.97.23.2545.97.23.255510
1415.97.24.0/235.97.24.1 to 5.97.25.2545.97.25.255510
1425.97.26.0/235.97.26.1 to 5.97.27.2545.97.27.255510
1435.97.28.0/235.97.28.1 to 5.97.29.2545.97.29.255510
1445.97.30.0/235.97.30.1 to 5.97.31.2545.97.31.255510
1455.97.32.0/235.97.32.1 to 5.97.33.2545.97.33.255510
1465.97.34.0/235.97.34.1 to 5.97.35.2545.97.35.255510
1475.97.36.0/235.97.36.1 to 5.97.37.2545.97.37.255510
1485.97.38.0/235.97.38.1 to 5.97.39.2545.97.39.255510
1495.97.40.0/235.97.40.1 to 5.97.41.2545.97.41.255510
1505.97.42.0/235.97.42.1 to 5.97.43.2545.97.43.255510
1515.97.44.0/235.97.44.1 to 5.97.45.2545.97.45.255510
1525.97.46.0/235.97.46.1 to 5.97.47.2545.97.47.255510
1535.97.48.0/235.97.48.1 to 5.97.49.2545.97.49.255510
1545.97.50.0/235.97.50.1 to 5.97.51.2545.97.51.255510
1555.97.52.0/235.97.52.1 to 5.97.53.2545.97.53.255510
1565.97.54.0/235.97.54.1 to 5.97.55.2545.97.55.255510
1575.97.56.0/235.97.56.1 to 5.97.57.2545.97.57.255510
1585.97.58.0/235.97.58.1 to 5.97.59.2545.97.59.255510
1595.97.60.0/235.97.60.1 to 5.97.61.2545.97.61.255510
1605.97.62.0/235.97.62.1 to 5.97.63.2545.97.63.255510
1615.97.64.0/235.97.64.1 to 5.97.65.2545.97.65.255510
1625.97.66.0/235.97.66.1 to 5.97.67.2545.97.67.255510
1635.97.68.0/235.97.68.1 to 5.97.69.2545.97.69.255510
1645.97.70.0/235.97.70.1 to 5.97.71.2545.97.71.255510
1655.97.72.0/235.97.72.1 to 5.97.73.2545.97.73.255510
1665.97.74.0/235.97.74.1 to 5.97.75.2545.97.75.255510
1675.97.76.0/235.97.76.1 to 5.97.77.2545.97.77.255510
1685.97.78.0/235.97.78.1 to 5.97.79.2545.97.79.255510
1695.97.80.0/235.97.80.1 to 5.97.81.2545.97.81.255510
1705.97.82.0/235.97.82.1 to 5.97.83.2545.97.83.255510
1715.97.84.0/235.97.84.1 to 5.97.85.2545.97.85.255510
1725.97.86.0/235.97.86.1 to 5.97.87.2545.97.87.255510
1735.97.88.0/235.97.88.1 to 5.97.89.2545.97.89.255510
1745.97.90.0/235.97.90.1 to 5.97.91.2545.97.91.255510
1755.97.92.0/235.97.92.1 to 5.97.93.2545.97.93.255510
1765.97.94.0/235.97.94.1 to 5.97.95.2545.97.95.255510
1775.97.96.0/235.97.96.1 to 5.97.97.2545.97.97.255510
1785.97.98.0/235.97.98.1 to 5.97.99.2545.97.99.255510
1795.97.100.0/235.97.100.1 to 5.97.101.2545.97.101.255510
1805.97.102.0/235.97.102.1 to 5.97.103.2545.97.103.255510
1815.97.104.0/235.97.104.1 to 5.97.105.2545.97.105.255510
1825.97.106.0/235.97.106.1 to 5.97.107.2545.97.107.255510
1835.97.108.0/235.97.108.1 to 5.97.109.2545.97.109.255510
1845.97.110.0/235.97.110.1 to 5.97.111.2545.97.111.255510
1855.97.112.0/235.97.112.1 to 5.97.113.2545.97.113.255510
1865.97.114.0/235.97.114.1 to 5.97.115.2545.97.115.255510
1875.97.116.0/235.97.116.1 to 5.97.117.2545.97.117.255510
1885.97.118.0/235.97.118.1 to 5.97.119.2545.97.119.255510
1895.97.120.0/235.97.120.1 to 5.97.121.2545.97.121.255510
1905.97.122.0/235.97.122.1 to 5.97.123.2545.97.123.255510
1915.97.124.0/235.97.124.1 to 5.97.125.2545.97.125.255510
1925.97.126.0/235.97.126.1 to 5.97.127.2545.97.127.255510
1935.97.128.0/235.97.128.1 to 5.97.129.2545.97.129.255510
1945.97.130.0/235.97.130.1 to 5.97.131.2545.97.131.255510
1955.97.132.0/235.97.132.1 to 5.97.133.2545.97.133.255510
1965.97.134.0/235.97.134.1 to 5.97.135.2545.97.135.255510
1975.97.136.0/235.97.136.1 to 5.97.137.2545.97.137.255510
1985.97.138.0/235.97.138.1 to 5.97.139.2545.97.139.255510
1995.97.140.0/235.97.140.1 to 5.97.141.2545.97.141.255510
2005.97.142.0/235.97.142.1 to 5.97.143.2545.97.143.255510
2015.97.144.0/235.97.144.1 to 5.97.145.2545.97.145.255510
2025.97.146.0/235.97.146.1 to 5.97.147.2545.97.147.255510
2035.97.148.0/235.97.148.1 to 5.97.149.2545.97.149.255510
2045.97.150.0/235.97.150.1 to 5.97.151.2545.97.151.255510
2055.97.152.0/235.97.152.1 to 5.97.153.2545.97.153.255510
2065.97.154.0/235.97.154.1 to 5.97.155.2545.97.155.255510
2075.97.156.0/235.97.156.1 to 5.97.157.2545.97.157.255510
2085.97.158.0/235.97.158.1 to 5.97.159.2545.97.159.255510
2095.97.160.0/235.97.160.1 to 5.97.161.2545.97.161.255510
2105.97.162.0/235.97.162.1 to 5.97.163.2545.97.163.255510
2115.97.164.0/235.97.164.1 to 5.97.165.2545.97.165.255510
2125.97.166.0/235.97.166.1 to 5.97.167.2545.97.167.255510
2135.97.168.0/235.97.168.1 to 5.97.169.2545.97.169.255510
2145.97.170.0/235.97.170.1 to 5.97.171.2545.97.171.255510
2155.97.172.0/235.97.172.1 to 5.97.173.2545.97.173.255510
2165.97.174.0/235.97.174.1 to 5.97.175.2545.97.175.255510
2175.97.176.0/235.97.176.1 to 5.97.177.2545.97.177.255510
2185.97.178.0/235.97.178.1 to 5.97.179.2545.97.179.255510
2195.97.180.0/235.97.180.1 to 5.97.181.2545.97.181.255510
2205.97.182.0/235.97.182.1 to 5.97.183.2545.97.183.255510
2215.97.184.0/235.97.184.1 to 5.97.185.2545.97.185.255510
2225.97.186.0/235.97.186.1 to 5.97.187.2545.97.187.255510
2235.97.188.0/235.97.188.1 to 5.97.189.2545.97.189.255510
2245.97.190.0/235.97.190.1 to 5.97.191.2545.97.191.255510
2255.97.192.0/235.97.192.1 to 5.97.193.2545.97.193.255510
2265.97.194.0/235.97.194.1 to 5.97.195.2545.97.195.255510
2275.97.196.0/235.97.196.1 to 5.97.197.2545.97.197.255510
2285.97.198.0/235.97.198.1 to 5.97.199.2545.97.199.255510
2295.97.200.0/235.97.200.1 to 5.97.201.2545.97.201.255510
2305.97.202.0/235.97.202.1 to 5.97.203.2545.97.203.255510
2315.97.204.0/235.97.204.1 to 5.97.205.2545.97.205.255510
2325.97.206.0/235.97.206.1 to 5.97.207.2545.97.207.255510
2335.97.208.0/235.97.208.1 to 5.97.209.2545.97.209.255510
2345.97.210.0/235.97.210.1 to 5.97.211.2545.97.211.255510
2355.97.212.0/235.97.212.1 to 5.97.213.2545.97.213.255510
2365.97.214.0/235.97.214.1 to 5.97.215.2545.97.215.255510
2375.97.216.0/235.97.216.1 to 5.97.217.2545.97.217.255510
2385.97.218.0/235.97.218.1 to 5.97.219.2545.97.219.255510
2395.97.220.0/235.97.220.1 to 5.97.221.2545.97.221.255510
2405.97.222.0/235.97.222.1 to 5.97.223.2545.97.223.255510
2415.97.224.0/235.97.224.1 to 5.97.225.2545.97.225.255510
2425.97.226.0/235.97.226.1 to 5.97.227.2545.97.227.255510
2435.97.228.0/235.97.228.1 to 5.97.229.2545.97.229.255510
2445.97.230.0/235.97.230.1 to 5.97.231.2545.97.231.255510
2455.97.232.0/235.97.232.1 to 5.97.233.2545.97.233.255510
2465.97.234.0/235.97.234.1 to 5.97.235.2545.97.235.255510
2475.97.236.0/235.97.236.1 to 5.97.237.2545.97.237.255510
2485.97.238.0/235.97.238.1 to 5.97.239.2545.97.239.255510
2495.97.240.0/235.97.240.1 to 5.97.241.2545.97.241.255510
2505.97.242.0/235.97.242.1 to 5.97.243.2545.97.243.255510
2515.97.244.0/235.97.244.1 to 5.97.245.2545.97.245.255510
2525.97.246.0/235.97.246.1 to 5.97.247.2545.97.247.255510
2535.97.248.0/235.97.248.1 to 5.97.249.2545.97.249.255510
2545.97.250.0/235.97.250.1 to 5.97.251.2545.97.251.255510
2555.97.252.0/235.97.252.1 to 5.97.253.2545.97.253.255510
2565.97.254.0/235.97.254.1 to 5.97.255.2545.97.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses